Skip to main content
GET
/
ramp-schedule-templates
cURL
curl -X GET https://api.growthbook.io/api/v1/ramp-schedule-templates -u secret_abc123DEF456
{
  "rampScheduleTemplates": [
    {
      "id": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "steps": [
        {
          "trigger": {
            "type": "<string>",
            "seconds": 123
          },
          "actions": [
            {
              "targetType": "<string>",
              "targetId": "<string>",
              "patch": {
                "ruleId": "<string>",
                "coverage": 0.5,
                "condition": "<string>",
                "savedGroups": [
                  {
                    "match": "all",
                    "ids": [
                      "<string>"
                    ]
                  }
                ],
                "prerequisites": [
                  {
                    "id": "<string>",
                    "condition": "<string>"
                  }
                ],
                "enabled": true
              }
            }
          ],
          "approvalNotes": "<string>"
        }
      ],
      "endPatch": {
        "coverage": 0.5,
        "condition": "<string>",
        "savedGroups": [
          {
            "match": "all",
            "ids": [
              "<string>"
            ]
          }
        ],
        "prerequisites": [
          {
            "id": "<string>",
            "condition": "<string>"
          }
        ]
      },
      "official": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Response

200 - application/json

Success

rampScheduleTemplates
object[]
required